Bug 1572366 - grub2-common-2.02-34.fc28.noarch.rpm contains 0 byte config files
Summary: grub2-common-2.02-34.fc28.noarch.rpm contains 0 byte config files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 20:07 UTC by Ali Akcaagac
Modified: 2019-05-28 23:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:16:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Ali Akcaagac 2018-04-26 20:07:28 UTC
The recent update:

grub2-common-2.02-34.fc28.noarch.rpm

and the update that came before has two 0 byte files in

/etc/kernel/install.d

[aakcaagac@localhost ~]$ ll /etc/kernel/install.d/
total 0
-rw-r--r-- 1 root root 0 Apr 23 21:33 20-grubby.install
-rw-r--r-- 1 root root 0 Apr 23 21:33 90-loaderentry.install
[aakcaagac@localhost ~]$ 


Do they have any meaning ? From what I remember, these files are also generated in:

[aakcaagac@localhost ~]$ ll /usr/lib/kernel/install.d/
total 24
-rwxr-xr-x 1 root root 1901 Apr 26 00:00 20-grubby.install
-rwxr-xr-x 1 root root 4839 Apr 23 21:33 20-grub.install
-rwxr-xr-x 1 root root  368 Apr 26 00:00 50-depmod.install
-rwxr-xr-x 1 root root 1712 Apr 26 00:00 50-dracut.install
-rwxr-xr-x 1 root root 2102 Apr 26 00:00 90-loaderentry.install
[aakcaagac@localhost ~]$ 

The difference here is: The ones in /usr/lib* have some content while the ones installed in /etc/* won't

This looks like an packaging issue to me...

Comment 1 Ali Akcaagac 2018-04-26 20:08:14 UTC
Btw: The 0 byte files are shipped by the package above. If you look inside the rpm they show up.

Comment 2 Maurizio Paolini 2018-05-30 15:57:55 UTC
Moreover, it seems that the empty /etc/kernel/install.d/20-grubby.install
supersedes the one in /usr/lib/kernel/install.d/ thus actually disabling it.

Comment 3 Javier Martinez Canillas 2018-05-31 08:34:37 UTC
(In reply to Maurizio Paolini from comment #2)
> Moreover, it seems that the empty /etc/kernel/install.d/20-grubby.install
> supersedes the one in /usr/lib/kernel/install.d/ thus actually disabling it.

That's correct and the reason why it was added.

The menu entries for grub2 can be defined either in the grub.cfg file or as BootLoaderSpec fragment files. The 20-grubby.install kernel-install script only supports the former, while the 20-grub.install script supports both.

Moreover, the kernel-install script used to install kernels for grub2 really belongs to grub2 and it shouldn't be included in the systemd package. So to have a transition path, that empty 20-grubby.install was added. But the idea is to remove the 20-grubby.install that's included in the systemd package (and the empty one from grub2-common).

Comment 4 Ali Akcaagac 2018-05-31 08:38:59 UTC
(In reply to Javier Martinez Canillas from comment #3)
> That's correct and the reason why it was added.

It would have been less irritating, if a comment was added to said file.

We diff compare chrooted updates here (diff'ing ls -alR before and after update). And these two null byte files (where one is identical to the one in usr/lib, animated me to open this bug.

> But the idea is to remove the 20-grubby.install that's included in the systemd
> package (and the empty one from grub2-common).

That would help.

Comment 5 Ben Cotton 2019-05-02 20:20:07 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 23:16:30 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.